ON_Torus Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_torus.h>`

## Public Member Functions

| ON_Torus ()
| ON_Torus (const ON_Plane &major__plane, double major__radius, double minor__radius)
| ON_Torus (const ON_Circle &major__circle, double minor__radius)
| ~ON_Torus ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
ON_BOOL32 | Create (const ON_Plane &major__plane, double major__radius, double minor__radius)
ON_BOOL32 | Create (const ON_Circle &major__circle, double minor__radius)
ON_Circle | MajorCircleRadians (double minor_angle_radians) const
ON_Circle | MajorCircleDegrees (double minor_angle_degrees) const
ON_Circle | MinorCircleRadians (double major_angle_radians) const
ON_Circle | MinorCircleDegrees (double major_angle_degrees) const
ON_3dPoint | Center () const
ON_3dVector | Axis () const
double | MajorRadius () const
double | MinorRadius () const
ON_3dPoint | PointAt (double major_angle_radians, double minor_angle_radians) const
ON_3dVector | NormalAt (double major_angle_radians, double minor_angle_radians) const
ON_BOOL32 | ClosestPointTo (ON_3dPoint test_point, double *major_angle_radians, double *minor_angle_radians) const
ON_3dPoint | ClosestPointTo (ON_3dPoint test_point) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation)
ON_BOOL32 | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation)
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
ON_BOOL32 | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
ON_BOOL32 | Translate (const ON_3dVector &)
ON_BOOL32 | Transform (const ON_Xform &)
int | GetNurbForm (ON_NurbsSurface &) const
ON_RevSurface * | RevSurfaceForm (ON_RevSurface *srf=NULL) const

## Public Attributes

ON_Plane | plane
double | major_radius
double | minor_radius

## Detailed Description

Definition at line 29 of file opennurbs_torus.h.

## Constructor & Destructor Documentation

ON_Torus::ON_Torus | ( |  | ) |

ON_Torus::ON_Torus | ( | const ON_Plane & | major__plane,
|  | double | major__radius,
|  | double | minor__radius
| ) |  |

ON_Torus::ON_Torus | ( | const ON_Circle & | major__circle,
|  | double | minor__radius
| ) |  |

ON_Torus::~ON_Torus | ( |  | ) |

## Member Function Documentation

ON_3dVector ON_Torus::Axis | ( |  | ) | const

ON_3dPoint ON_Torus::Center | ( |  | ) | const

ON_BOOL32 ON_Torus::ClosestPointTo | ( | ON_3dPoint | test_point,
|  | double * | major_angle_radians,
|  | double * | minor_angle_radians
| ) |  | const

ON_3dPoint ON_Torus::ClosestPointTo | ( | ON_3dPoint | test_point | ) | const

ON_BOOL32 ON_Torus::Create | ( | const ON_Plane & | major__plane,
|  | double | major__radius,
|  | double | minor__radius
| ) |  |

ON_BOOL32 ON_Torus::Create | ( | const ON_Circle & | major__circle,
|  | double | minor__radius
| ) |  |

int ON_Torus::GetNurbForm | ( | ON_NurbsSurface & |  | ) | const

ON_BOOL32 ON_Torus::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

ON_Circle ON_Torus::MajorCircleDegrees | ( | double | minor_angle_degrees | ) | const

ON_Circle ON_Torus::MajorCircleRadians | ( | double | minor_angle_radians | ) | const

double ON_Torus::MajorRadius | ( |  | ) | const

ON_Circle ON_Torus::MinorCircleDegrees | ( | double | major_angle_degrees | ) | const

ON_Circle ON_Torus::MinorCircleRadians | ( | double | major_angle_radians | ) | const

double ON_Torus::MinorRadius | ( |  | ) | const

ON_3dVector ON_Torus::NormalAt | ( | double | major_angle_radians,
|  | double | minor_angle_radians
| ) |  | const

ON_3dPoint ON_Torus::PointAt | ( | double | major_angle_radians,
|  | double | minor_angle_radians
| ) |  | const

ON_RevSurface* ON_Torus::RevSurfaceForm | ( | ON_RevSurface * | srf = `NULL` | ) | const

ON_BOOL32 ON_Torus::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

ON_BOOL32 ON_Torus::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

ON_BOOL32 ON_Torus::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

ON_BOOL32 ON_Torus::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

ON_BOOL32 ON_Torus::Transform | ( | const ON_Xform & |  | ) |

ON_BOOL32 ON_Torus::Translate | ( | const ON_3dVector & |  | ) |

## Member Data Documentation

double ON_Torus::major_radius

Definition at line 36 of file opennurbs_torus.h.

double ON_Torus::minor_radius

Definition at line 37 of file opennurbs_torus.h.

ON_Plane ON_Torus::plane

Definition at line 35 of file opennurbs_torus.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_torus.h